GDB (xrefs)

Public Attributes | List of all members
lm_info_aix Struct Reference
Inheritance diagram for lm_info_aix:

## Public Attributes
std::string | filename
std::string | member_name
CORE_ADDR | text_addr = 0
ULONGEST | text_size = 0
CORE_ADDR | data_addr = 0
ULONGEST | data_size = 0

## Detailed Description

Definition at line 36 of file solib-aix.c.

## Member Data Documentation

## ◆ data_addr

CORE_ADDR lm_info_aix::data_addr = 0

Definition at line 55 of file solib-aix.c.

Referenced by library_list_start_library(), solib_aix_get_section_offsets(), and solib_aix_relocate_section_addresses().

## ◆ data_size

ULONGEST lm_info_aix::data_size = 0

Definition at line 58 of file solib-aix.c.

Referenced by library_list_start_library(), and solib_aix_relocate_section_addresses().

## ◆ filename

std::string lm_info_aix::filename

Definition at line 42 of file solib-aix.c.

Referenced by library_list_start_library(), and solib_aix_current_sos().

## ◆ member_name

std::string lm_info_aix::member_name

Definition at line 46 of file solib-aix.c.

Referenced by library_list_start_library(), and solib_aix_current_sos().

## ◆ text_addr

CORE_ADDR lm_info_aix::text_addr = 0

Definition at line 49 of file solib-aix.c.

Referenced by library_list_start_library(), solib_aix_get_section_offsets(), and solib_aix_relocate_section_addresses().

## ◆ text_size

ULONGEST lm_info_aix::text_size = 0

Definition at line 52 of file solib-aix.c.

Referenced by library_list_start_library(), and solib_aix_relocate_section_addresses().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-aix.c